
.mdl-button--raised {
  color: rgb(255,255,255) !important;
  background-color: var(--main-text-color) !important;
}

/* overflow-x to prevent select2 horizontal scrollbar */
body{
	 overflow-x: hidden;
}

.main-text-color {
  color: var(--main-text-color);
}

.mdl-chip__text {
	cursor: pointer;
}

.vbo-workflow {
  height: 45px;
  border-radius: 16px 16px 0px 0px;
  margin: 25px 5px 0px 0;
  padding-top: 5px;
  cursor: pointer;
  
  box-shadow: inset 0 2px 2px 0 rgba(0, 0, 0, 0.14), inset 0 3px 1px -2px rgba(0, 0, 0, 0.2), inset 0 1px 5px 0 rgba(0, 0, 0, 0.12);
}

.mdl-data-table td {
    word-wrap: break-word; 
    overflow-wrap: break-word; 
}
  
.mdl-layout__drawer .mdl-navigation .mdl-navigation__link {
  color: #ffffff !important;
}

.mdl-navigation__link {
  opacity: 0.8 !important; 
}
.mdl-layout__drawer .mdl-navigation .mdl-navigation__link:hover {
	background-color: #808080 !important; 
}
.mdl-layout__drawer .mdl-navigation .mdl-navigation__link--current {
	background-color: #808080 !important;
}

.lbl-toggle:hover, .lbl-menu-toggle:hover{
  background: #808080 !important;
}

.mdl-layout__drawer {
  /*width: 350px !important;*/
  background-color: var(--main-text-color) !important;
  color: #e0e0e0 !important;
}

/* Grid mit 12 Spalten 
.grid12c{
	display: block;
	padding: 15px;
} */

.grid12c{
	display:grid;
	grid-template-columns: repeat(1, 1fr);
	grid-gap: 10px 10px;
	padding: 0px 0px;
}

@media(min-width: 640px){
	.grid12c{
		display:grid;
		grid-template-columns: repeat(2, 1fr);
		grid-gap: 10px 10px;
		padding: 0px 0px;
	}
}
@media(min-width: 1100px){
	.grid12c{
		display:grid;
		grid-template-columns: repeat(12, 1fr);
		grid-gap: 10px 10px;
		padding: 0px 0px;
	}
}

#id_PanelContent{
    padding: 10px 10px;
}

.mdl-textfield__label {
    color: rgba(0,0,0, 0.50) !important;
}

.mdl-textfield--floating-label.is-dirty .mdl-textfield__label,
.mdl-textfield--floating-label.is-focused .mdl-textfield__label{
	color: var(--main-text-color) !important;
}

.has-placeholder > label {
	color: var(--main-text-color) !important;
}

.mdl-textfield__input{
	background-color:#fafafa !important;
}

.mdl-textfield.is-disabled .mdl-textfield__input{
	background-color:#ffffff !important;
    color: rgba(0,0,0, 0.50) !important;
}

.dropdown-spacer{
	margin-bottom: 18px;
}

.mandatory{
	color:red;
	float: left;
}

.material-icons.md-18 { font-size: 18px; }
.material-icons.md-24 { font-size: 24px; }
.material-icons.md-36 { font-size: 36px; }
.material-icons.md-48 { font-size: 48px; }

.dashboard-button{
	width: 64px !important;
	height: 64px !important;
	min-width: initial !important;
}
.dashboard-button .material-icons{
	transform: translate(-24px, -12px) !important;
	font-size: 48px  !important;
}


.mdl-dropdown-label{
	font-size: 12px;
}
/**
 * Multiple Select2
 */
.select2-container--material {
  width: 100% !important;
  background-color: #fafafa;
  /**
   * Textbox
   */
  /**
   * Dropdown
   */
  /**
   * Options
   */
  /**
   * Focused textbox
   */
  /**
   * Disabled textbox
   */
}
.select2-container--material ::-webkit-input-placeholder {
  color: inherit;
}
.select2-container--material :-ms-input-placeholder {
  color: inherit;
}
.select2-container--material ::-ms-input-placeholder {
  color: inherit;
}
.select2-container--material ::placeholder {
  color: inherit;
}
.select2-container--material .select2-selection {
  /* @extend input */
  overflow: visible;
  font: inherit;
  touch-action: manipulation;
  margin: 0;
  line-height: inherit;
  border-radius: 0;
  box-sizing: inherit;
  /* @extend .form-control */
  display: flex;
  justify-content: space-between;
  width: 100%;
  background-clip: padding-box;
  border: 1px solid rgba(0, 0, 0, 0.15);
  padding: 0 0 0;
  font-size: 16px;
  line-height: 1.5;
  background-color: transparent;
  background-image: none;
  border-radius: 0;
  /* @extend input[type=text] */
  background-color: transparent;
  border: none;
  border-bottom: 1px solid rgba(0, 0, 0, 0.12);
  border-radius: 0;
  outline: 0;
  width: 100%;
  box-shadow: none;
  transition: all .3s;
}

.select2-container--material .select2-selection--single .select2-selection__rendered{
	padding-right: 0px !important;
}
.select2-container--material .select2-selection .select2-selection__rendered {
  padding-left: 0;
  padding-top: 0;
}
.select2-container--material .select2-selection--single .select2-selection__rendered {
  float: left;
}
.select2-container--material .select2-selection--single .select2-selection__arrow {
  float: right;
}
.select2-container--material .select2-selection--single .select2-selection__clear {
  font-size: 32px;
  top: -12px;
  right: 20px;
  position: absolute;
}
.select2-container--material .select2-selection--multiple {
  /**
   * Multiple selected options
   */
  /**
   * Multiple selected option clear button
   */
   min-height: initial !important;
   line-height: 1.2;
}
.select2-container--material .select2-selection--multiple .select2-selection__rendered {
  width: 100%;
    margin: 0;
}
.select2-container--material .select2-selection--multiple .select2-selection__rendered li {
  list-style: none;
}
.select2-container--material .select2-selection--multiple .select2-selection__choice {
  /* @extend .mdl-chip */
  height: 24px;
  line-height: 24px;
  padding: 0 12px;
  border: 0;
  border-radius: 16px;
  background-color: #dedede;
  display: inline-block;
  color: rgba(0, 0, 0, 0.87);
  font-size: 0;
  white-space: nowrap;
  /* @extend .mdl-chip__text */
  font-size: 13px;
  vertical-align: middle;
  display: inline-block;
  float: left;
  margin-right: 2px;
  margin-bottom: 0px;
  margin-top: 1px;
}
.select2-container--material .select2-selection--multiple .select2-selection__choice__remove {
  /* Hide default content */
  font-size: 0;
  opacity: 0.38;
  cursor: pointer;
  float: right;
  margin-top: 2px;
  margin-right: -6px;
  margin-left: 6px;
  transition: opacity;
}
.select2-container--material .select2-selection--multiple .select2-selection__choice__remove::before {
  content: "cancel";
  /* @extend .material-icons */
  font-family: 'Material Icons';
  font-weight: normal;
  font-style: normal;
  font-size: 20px;
  line-height: 1;
  letter-spacing: normal;
  text-transform: none;
  display: inline-block;
  white-space: nowrap;
  word-wrap: normal;
  direction: ltr;
  -webkit-font-feature-settings: 'liga';
  -webkit-font-smoothing: antialiased;
  color: #000;
}
.select2-container--material .select2-selection--multiple .select2-selection__choice__remove:hover {
  opacity: 0.54;
}
.select2-container--material .select2-search--inline .select2-search__field {
  width: 100%;
  margin: 0;
  /* Match input[type=text] */
  height: 20px;
  line-height: 1;
  background-color: #fafafa;
}
.select2-container--material .select2-dropdown {
  border: 0;
}
.select2-container--material .select2-dropdown .select2-search__field {
  margin-bottom: 16px;
  border: 0;
  border-bottom: 1px solid rgba(0,0,0, 0.12);
  transition: all .3s;
}
.select2-container--material .select2-dropdown .select2-search__field:focus {
  border-bottom: 2px solid var(--main-text-color);
  box-shadow: 0 1px 0 0 var(--main-text-color-50);
}
.select2-container--material .select2-results__options {
  /* @extend .zf-shadow-depth* */
  box-shadow: 0 2px 5px 0 rgba(0, 0, 0, 0.16), 0 2px 10px 0 rgba(0, 0, 0, 0.12);
  /* @extend .dropdown-content */
  background-color: #fff;
  margin: 0;
  min-width: 100px;
  max-height: 650px;
  overflow-y: auto;
  z-index: 999;
  will-change: width,height;
  /* @extend .dropdown-content inline styles */
}
.select2-container--material .select2-results__option {
  /* @extend .dropdown-content li */
  cursor: pointer;
  clear: both;
  color: rgba(0, 0, 0, 0.87);
  /*
	line-height: 0.5rem;
  */
  text-align: left;
  text-transform: none;
  /* @extend .dropdown-content li>a, .dropdown-content li>span */
  /*font-size: 1.2rem;*/
  display: block;
  padding: 1rem;
  /**
   * Disabled options
   */
  /**
   * Selected option
   */
  /**
   * Active/hovered option
   */
}
.select2-container--material .select2-results__option[aria-disabled=true] {
  /* @extend .select-dropdown li.disabled */
  color: rgba(0, 0, 0, 0.3);
  background-color: transparent !important;
  cursor: context-menu;
  /* @extend .disabled */
  cursor: not-allowed;
}
.select2-container--material .select2-results__option[aria-selected=true] {
  /* @extend .dropdown-content li:active, .dropdow-content li:hover */
  color: var(--main-text-color);
  background-color: #eee;
}
.select2-container--material .select2-results__option--highlighted[aria-selected] {
  background-color: #ddd;
}
.select2-container--material.select2-container--focus .select2-selection {
  /* @extend input[type=text]:focus */
  border-bottom: 2px solid var(--main-text-color);
  box-shadow: 0 1px 0 0 var(--main-text-color-50);
}

.select2-container--material.select2-container--warning .select2-selection {
  /* @extend input[type=text]:focus */
  border-bottom: 2px solid #cc00dd;
  box-shadow: 0 1px 0 0 var(--main-text-color-50);
}

.select2-container--material.select2-container--disabled .select2-selection {
  /* @extend .select-wrapper input.select-dropdown:disabled */
  color: rgba(0, 0, 0, 0.3);
  cursor: default;
  -webkit-user-select: none;
     -moz-user-select: none;
      -ms-user-select: none;
          user-select: none;
  border-bottom: 1px solid rgba(0, 0, 0, 0.3);
  background-color: #ffffff !important;
}
.select2-container--material.select2-container--disabled.select2-container--focus .select2-selection {
  box-shadow: none;
}

.select2-selection-has-error{
  /* @extend input[type=text]:focus */
  border-bottom: 1px solid #ff0000 !important;
  box-shadow: 0 1px 0 0 #ff0000 !important;
}

.select2-container-has-error{
	background-color: rgba(255, 0, 0, 0.1) !important;
}

.selectcss {

  display: inline-block;
  font: inherit;
  line-height: 27px;

  /* reset */

  margin: 0;      
  -webkit-box-sizing: border-box;
  -moz-box-sizing: border-box;
  box-sizing: border-box;
  -moz-appearance: none;
  -webkit-appearance: none;
  appearance: none;
  
  padding: 0.5em 3.5em 0.5em 1em;
  font-family: inherit;
  background-color: #f8f8f8;
  width: 100%;
  height:27px;
  padding: 2px;
  font-size: 16px;
  color: rgba(0,0,0,0.9);
  border: none;
  border-bottom: 1px solid rgba(0,0,0,0.26);
  background-image:
    linear-gradient(45deg, transparent 50%, gray 70%),
    linear-gradient(135deg, gray 70%, transparent 50%),
    linear-gradient(to right, #ccc, #ccc);
  background-position:
    calc(100% - 20px) calc(1em - 3px),
    calc(100% - 15px) calc(1em - 3px),
    calc(100% - 2.5em) 0.5em;
  background-size:
    5px 5px,
    5px 5px,
    0px 1.5em;
  background-repeat: no-repeat;

}

.selectcss::-ms-expand {
  display: none;
}

.selectcss option{
	border: none !important;
	background-color:white;
	box-shadow:0 1px 2px rgba(0, 0, 0, 0.2);
}

.selectcss:-moz-focusring {
    color: transparent;
    text-shadow: 0 0 0 #000;
}
.selectcss:focus {
  border-bottom: 2px solid #3f51b1;
  outline: none !important;
  outline:0 !important;
}


/* ----- Schriftart anpassen -----*/
html, body {
	font-family: "Roboto", "Helvetica", "Arial", sans-serif;
}

.mdl-layout__drawer-button, .mdl-textfield__input{
	font-family: "Roboto", "Helvetica", "Arial", sans-serif;
}

/* ----- space von Rand zu TitleToolbar ----- */
/* ----- Space von Rand zu StatusToolbat -----*/
#titleToolbar, #statusToolbar {
	padding-left: 14px;
}
@media(max-width: 639px){
	#titleToolbar, #statusToolbar {
		padding-left: 27px;
	}	
}

/* Abstand von Buttons */
.mdl-button{
	min-width: 24px;
	padding: 0 6px;	
}

/* ----- Karteikarten Variante für Tabelle im 1-Spalten-Layout ----- */
@media(max-width: 639px){
    .TBHeader tbody{
        display: none;
    }

    .TBBody, .TBBody>tbody, .TBBody tr, .TBBody td{
        display: block;
        width: 100%;
    }
    .TBBody tr{
		height: 100% !important;
		border-bottom: 2px solid #A4A4A4;
    }
    .TBBody td{
        text-align: left;
        padding-left: 50%;
        position: relative;
		border: none !important;
    }
    .TBBody td::before{
        content: attr(data-label);
        position: absolute;
        left: 0;
        width: 50%;
        padding-left: 15px;
        font-weight: bold;
        text-align: left;
		color: #003366;
    }


	/* ----- setzt die weite der Tabelle im 1-Spalten-Layout ----- */
	.respLayoutTable{
		width: calc(100vw - 37px);
	}
	/* ----- 1-Spalte-Layout ----- */
	.layoutPanel{
		margin-right: 5px;
	}
	.field_in_table{
		padding: 0px !important;
	}
	.icon_field_in_table{
		bottom: 0px !important;
	}
	.mobile{
		display: none;
	}	
}

/* ---- Feldinhalte, Gruppenüberschrifte, Menüpunkte ---- */

/* ----- Roter Unterstrich des Feldes ----- */
.select2-selection-has-error{
	border-bottom: 1px solid rgb(213,0,0) !important;
}
.select2-container--focus .select2-selection-has-error{
	border-bottom: 2px solid rgb(213,0,0) !important;
}

/* ----- Dropdown anpassen -----*/
.select2-container--material.select2-container--focus .select2-selection{
	box-shadow: none;
}

/* Höhe der Felder an Höhe der Dropdownfelder angepasst*/
.mdl-textfield__input {
	padding-bottom: 6px !important;
}

/* Höhe des Labels eines Feldes an die Höhe des Labels eines Dropdownfeldes angepasst*/
.mdl-textfield--floating-label.is-focused .mdl-textfield__label,
.mdl-textfield--floating-label.is-dirty .mdl-textfield__label,
.mdl-textfield--floating-label.has-placeholder .mdl-textfield__label {
	margin-top: -5px; 
}

/* --- Upload Maske FileField optik angepasst ---*/
.fieldFile {
	width:100%; 
	height: 26px; 
	border: none !important; 
	border-bottom: 1px solid rgba(0,0,0,0.12) !important; 
	background-color: #ffffff; 
	color:rgba(0,0,0, 0.50); 
	margin-bottom: 5px;
}
/* ----- Icons innerhalb von InputFields die eine Aktion ausführen ----- */
.iconInBtn{
	color: #ffffff;
	background-color: var(--main-text-color);
	border-radius: 15%;
}
.iconInBtnPosition{
	height: 29px;
	border-radius: 45%;
	padding: 0px;
}
.iconUpload{
	font-size: 22px;
	padding: 1px;
}
.iconUploadContainer{
	width: 32px;
	text-align: center;
}
/* === Global Layout Styles (Ph_T_Frame) === */
#overlayVBO {
	z-index: 10001;
	display: none;
	background-color: transparent;
	position: fixed;
	top: 0;
	left: 0;
	width: 100%;
	height: 100%;
}

#LogoPlace {
	width: 64px;
	height: 64px;
}

#idWait {
	visibility: hidden;
}

.vbo-style-hidden-submit {
	padding: 0;
	background-color: transparent;
	width: 1px;
	height: 1px;
	border: none;
}

@media only screen and (max-width: 1000px) {
	#workspacebuttons,
	#LogoPlace {
		display: none;
	}
}

@media only screen and (max-width: 600px) {
	#ApplicationTitle {
		display: none;
	}
}

#titleToolbar {
	padding-top: 6px;
}

#id_PanelContent {
	padding: 10px 14px 10px 14px;
}

.vbo-style-overlay{
  z-index: 10001; 
  display:none; 
  background-color: transparent;
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
}

/* === Field Component Styles (PhCFieldC) === */
.vbo-style-field-wrapper {
	width: 100%;
}
.vbo-style-field-wrapper-hidden {
	display: none;
}
.vbo-style-input-right {
	text-align: right;
}
.vbo-style-input-icon-adjust {
	width: calc(100% - 25px);
}
.vbo-style-input-email-adjust {
	max-width: calc(100% - 25px);
}
.vbo-style-label {
	color: #fcba03;
}
.vbo-style-icon {
	position: absolute;
	right: 0px;
	top: 20px;
}
.vbo-style-multilang-table-container {
	white-space: normal;
	overflow: visible !important;
	width: 500px !important;
}
.vbo-style-multilang-table {
	border-collapse: collapse;
	table-layout: fixed;
	width: 100%;
	text-align: left !important;
}
/* === Dropdown Component Styles (PhCDropdownC) === */
.vbo-style-dropdown-label {
	display: block;
	height: 20px;
}
/* === Table Component Styles (Ph_T_TableC) === */
.vbo-style-table-wrapper {
	overflow: hidden;
	width: 100%;
}
.vbo-style-table-outer {
	width: 100%;
	border-collapse: collapse;
	table-layout: fixed;
}
.vbo-style-table-header {
	white-space: normal;
	border-collapse: collapse;
	padding: 0px;
	position: relative;
	table-layout: fixed;
}
.vbo-style-table-tbody{
  border-width:0px; 
  padding:0px;
}
.mdl-data-table th.vbo-style-th-buttons:first-of-type {
	white-space: nowrap;
	padding-left: 0px;
	text-align: left;
}
.vbo-style-table-row {
  overflow:hidden; 
  padding:0px; 
  border-width: 0px; 
  sborder-spacing: 0px;
}

.vbo-style-table-body-wrapper {
	white-space: normal;
	overflow-y: scroll;
	overflow-x: auto;
	width: 100%;
}
.vbo-style-table-body {
	border-collapse: collapse;
	table-layout: fixed;
}
.vbo-style-table-fluid-width {
	width: calc(100vw - 22px);
}
@media(min-width: 640px) {
	.vbo-style-table-fluid-width {
		width: 100%;
	}
}
/* === Lable Component Styles (PhCLabel) === */
.vbo-label-block {
  width: 100%;
  margin-top: 24px;
}
/* === Lable Component Styles (PhCLabel1) === */
.vbo-label1-block {
  width: 100%;
}
/* === Lable Component Styles (PhCLabel2) === */
.vbo-label2-block {
  width: 100%;
}
/* === Lable Component Styles (PhCLabel3) === */
.vbo-label3-block {
  width: 100%;
}
/* === Lable Component Styles (PhCLabel10) === */
.vbo-label10-block {
  width: 100%;
}
/* === Lable Component Styles (PhCLabelBig) === */
.vbo-label-big-block {
  width: 100%; 
  font-size: 25px;
}
/* === Lable Component Styles (PhCLabelChart) === */
.vbo-label-chart-block {
  background-color: transparent;
}
.vbo-label-chart-image {
  vertical-align: top; 
  width: 100%; 
  height: 100%; 
  border:none; 
  background-color: transparent;
}
/* === Lable Component Styles (PhCLabelExport) === */
.vbo-label-export {
 width: 100%;
 padding: 0px;  
 margin-top: 10px;
}
/* === Lable Component Styles (PhCLabelExportCustomLst) === */
.vbo-label-export-custom-lst {
 width: 100%;
 padding: 0px; 
 margin-top: 13px;
}
/* === Lable Component Styles (PhCLabelFilter4Animation) === */
.vbo-label-filter4animation2 {
  display:none;
}
/* === Lable Component Styles (PhCLabelFilterWithText4Animation) === */
.vbo-label-filter4withText4Animation {
  width: 100%; 
  cursor: pointer;
}
.vbo-label-filter4withText4Animation-table {
  border-collapse: collapse; 
  border-spacing: 0px; 
  padding: 0; 
  border: 0px;
}
/* === Lable Component Styles (PhCLabelGraphicScaled) === */
.vbo-style-wait-box {
    width: 100%;
    min-height: 400px;
    height: calc((67px * [LINES]) + (10px * ([LINES] - 1)) - 20px);
    background-color: transparent;
    overflow-y: hidden;
    overflow-x: hidden;
    background-image: url('[URL]');
    background-size: contain;
    background-repeat: no-repeat;
    background-position: center top;
    text-align: center;
}

.vbo-style-inner-box {
    float: left;
    position: relative;
    left: calc(50% - 50px);
    max-width: 200px;
}

.vbo-style-select-box {
  float: left;
  min-width: 40px;
}

.vbo-style-button-box {
  float: left;
  padding-left: 32px;
}

.vbo-style-delete-icon {
  background-color: var(--main-text-color);
  color: white;
}
/* Styles for PhCLabelGraphik */
.vbo-style-image-box {
  width: 100%;
  background-color: transparent;
}
.vbo-style-image {
  vertical-align: top;
  width: 100%;
  height: 100%;
  border: none;
  background-color: #b0bdd0;
}
/* Styles for PhCLabelGraphikNoScale */
.vbo-style-noscale-box {
  width: 100%;
  background-color: transparent;
  overflow-y: auto;
  overflow-x: auto;
}

.vbo-style-noscale-img {
  vertical-align: top;
  border: none;
}
/* Styles for PhCLabelIcon */
.vbo-style-icon-box {
  width: 100%; 
  text-align:center
}
/* Styles for PhCLabelFrame */
.vbo-style-frame-box {
  width: 100%;
  min-height:300px;
}
.vbo-style-frame {
  border:0;
}
/* Styles for PhCLabelKalender */
.vbo-style-kalender-box {
  width: 100%; 
  height: 100%; 
  background-color: transparent;
}
/* Styles for PhCLabelMandatory */
.vbo-style-label-mandatory {
  white-space:nowrap; 
  width: 100%;
}
/* Styles for PhCLabelMap */
.vbo-style-map-box {
  width: 100%;
  min-height:300px;
}
.vbo-style-map-iframe {
  border:0;
}
/* Styles for PhCLabelNoUnderwrite */
.vbo-style-no-underwrite-box {
  width: 100%;
}
/* Styles for PhCLabelProgress */
.vbo-style-progress-box {
  width:100%; 
  height: 39px; 
  margin-top: 19px
}
.vbo-style-progress-innerbox {
  position: absolute;
  left: 50%;
  top:23px;
}
/* Styles for PhCLabelProgress */
.vbo-style-title-box {
  width: 100%;
}
/* Styles for PhCLabelUrl */
.vbo-style-url-box {
  width: 100%;
}
/* Styles for PhCLabelUrlAufruf */
.vbo-style-url-aufruf-box {
  width: 100%;
}
/* Styles for PhCLabelWarning */
.vbo-style-warning-box {
  width: 100%;
}
/* Ph_T_Tabbed4Doc */
.vbo-style-tabbed4doc-box {
  position:absolute;
}
.vbo-style-tabbed4doc-table {
  margin-top: 2px;
}
.vbo-style-tabbed4doc-input {
  background-color: transparent; 
  width: 10px;
}
/* Ph_T_TableCellIconColor */
.vbo-style-tcIconColor {
  text-align: center;
}
/* Ph_T_TableContentC */
.vbo-style-contentC-box{
  border-collapse: collapse; 
  table-layout:fixed;
}
/* Ph_T_TableRowC */
.vbo-style-tablerowc-tr{
  background-color: #e0e0e0;
}
.vbo-style-tablerowc-td{
  white-space:nowrap;
  padding-left:0px !important;
  text-align:left !important;
}
/* Ph_T_TreeTableRow */
.vbo-style-treetablerow-tr{
  background-color: #e0e0e0;
}
.vbo-style-treetablerow-td{
  white-space:nowrap;
  padding-left:10px;
  text-align:left;
}
/* PhCAccordion4Ajx */
.vbo-style-accordion4ajx-input{
  background-color: transparent; 
  width: 10px;
}
/* PhCAccordionTabOptional */
.vbo-style-accordiontabopt-box{
  position:absolute;
  right:45px;
}
.vbo-style-accordiontabopt-input{
  pointer-events: auto;
}
/* PhCButton_Dashboard */
.vbo-style-btn-dashboard-box{
  width: 100%; 
  height: 200px; 
  text-align:center; 
  vertical-align: middle
}
.vbo-style-btn-dashboard-icon{
  vertical-align: middle; 
  height: 30px;
}
/* PhCButon_Menu_LeftLogout */
.vbo-style-btn-menu-leftlogout-link{
  padding-left:20px !important;
}
/* PhcButton_Panel */
.vbo-style-btn-panel-btn{
  width: 100%;
  margin-top: 13px
}
.vbo-style-btn-panel-box{
  display: none; 
  float:left; 
  margin:12px 12px 20px 0;
}
.vbo-style-btn-panel-icon{
  float:left; 
  margin:12px 12px 20px 0;
}
/* PhCButton_Panel4Login */
.vbo-style-btn-panel4login{
  width: 100%; 
  margin-top: 13px
}
/* PhCButton_PanelImage */
.vbo-style-btn-panelimage{
  width: 100%; 
  margin-top: 14px
}
/* PhCButtonLstImage */
.vbo-style-btn-lstimage{
  background-color: var(--main-text-color); 
  color:white
}
/* PhCButtonUpload */
.vbo-style-btn-upload-span{
  margin:0px;
  padding:0px; 
  width:30px;
  height:30px; 
  display:inline-block
}
.vbo-style-btn-upload-div{
  margin-top:0px; 
  padding-top:10px
}
/* PhCCheckbox */
.vbo-style-checkboxc-label-true{
  margin-left:8px;
}
.vbo-style-checkboxc-label-false{
  height:45px; 
  margin-top:22px;
}
.vbo-style-checkboxc-label{
  vertical-align:bottom;
}
.vbo-style-checkboxc-label02-true{
  width: 24px;
}
/* PhCConfirmDialog */
.vbo-style-confirm-dialog-div{
  float:left; 
  margin:12px 12px 20px 0;
}
.vbo-style-confirm-dialog-span{
  float:left; 
  margin:12px 12px 20px 0;
}
/* PhCDropdownEditSelected, PhCDropdownSelect, PhCDropdownSelect_Disabled, PhCDropdownSelect4Ajx */
.vbo-style-dropdown-tbl{
  width: 100%; 
  border-collapse: collapse; 
  border-spacing: 0px; 
  padding: 0; 
  border: 0px;
}
.vbo-style-dropdown-td{
  vertical-align: middle;
}
/* PhCFavoriteAdd */
.vbo-style-favorite-add-li{
  border-bottom:1px solid #000;
}
.vbo-style-favorite-add-btn{
  min-width: 32px; 
  width:32px; padding:0;
}
/* PhCFavoriteRow */
.vbo-style-favorite-row-btn{
  min-width: 32px; 
  width:32px; 
  padding:0; 
  margin-bottom:5px;
}
.vbo-style-favorite-row-span{
  height: 45px;
  display: inline-block;
}
/* PhCFieldFileTable */
.vbo-style-field-file-tbl-link{
  color: black; 
  vertical-align: middle; 
  height: 30px; 
  overflow-wrap: break-word;
}
.vbo-style-field-file-tbl-div{
  margin-top:2px;
}
/* PhCFieldMsgGreen */
.vbo-style-field-msggreen-div01{
  margin-bottom: -20px;
}
.vbo-style-field-msggreen-div02{
  position: relative;
  top: -20px;
}
/* PhCFieldTextAreaC */
.vbo-style-field-textarea{
  color: rgba(0,0,0, 0.7);
}
/* PhCFieldTextAreaDiv */
.vbo-style-field-texteare-div{
  color: rgba(0,0,0, 0.7); 
  overflow:auto; 
  white-space: pre;
}
/* PhCFieldTimeC */
.vbo-style-field-time{
  right:0px;
}
/* PhCFieldTimestampC */
.vbo-style-field-timestamp-div01{
  right:32px;
}
.vbo-style-field-timestamp-div02{
  right:0px;
}
/* PhCGrouping */
.vbo-style-grouping{
  width: 100%; 
  height: 18px; 
  border-bottom:1px solid #D0DBE6; 
  vertical-align: center; 
  font-weight: bold; 
  padding-top: 2px;"
}
/* PhCIcon, PhCIconDisabled */
.vbo-style-icon-img{
  vertical-align: bottom
}
/* PhCMenuWorkflow, PhCMenuWorkflowSelected */
.vbo-style-menu-workflow-div{
  float: left;
  color:#ffffff;
}
.vbo-style-workflow-selected-span1{
  display: block; 
  background-color:#ffffff;
  color:#000000
}
.vbo-style-workflow-selected-span2{
  display: block; 
  width: calc(100% - 10px); 
  height: 4px; 
  margin:-4px 5px 0 2px; 
  background-color:#ffffff;
}
.vbo-style-workflow-selected-span3{
  display: block;  
  height: 6px; 
  margin:0px 5px 0 0; 
  background-color:#ffffff;
}
/* PhCPanel4Filter */
.vbo-style-panel4filter-header{
  background-color: white !important; 
  font-size: 15px; 
  height: 39px !important; 
  min-height: 39px; 
  color: var(--main-text-color);
}
/* PhCPanel4FilterAnimate */
.vbo-style-panel4filteranimate{
  left: 4px; 
  width: 100%; 
  overflow: hidden
}
/* PhCPanelAbsolut */
.vbo-style-panel-absolut{
  left: 4px; width: 100%;
}
/* PhCPanelCollapsible */
.vbo-style-panel-collapsible{
  background-color: white
}
/* PhcPanelRelative */
.vbo-style-panel-relative-div{
  position: relative; 
  top: 0px; 
  left: 0px; 
  width: 100%;
}
.vbo-style-panel-relative-input{
  display:none; 
  background-color: transparent; 
  width: 10px;
}
/* PhCPanelRelativeNoTitle */
.vbo-style-panel-relative-no-title{
  position: relative; 
  top: 0px; 
  left: 0px; 
}
/* PhCPanelShadow */
.vbo-style-panel-shadow{
  width: 100%; 
  height: 100%; 
  padding: 5px; 
  margin: 5px; 
  box-sizing: border-box;
}
/* PhCSelectC */
.vbo-style-select-div1{
  display:flex;
}
.vbo-style-select-div2{
  padding:7px 0px 0px 0px;
}
.vbo-style-select-div3{
  padding:0px; 
  flex-grow:1;
}
.vbo-style-select-div4{
  padding:0px; 
  width: 32px; 
  height: 32px;
}
.vbo-style-select-btn{
  background-color: var(--main-text-color); 
  color:white
}
/* PhcTableCellGraphic */
.vbo-style-table-cell-graphic-td{
  text-align: center;
}
.vbo-style-table-cell-graphic-img{
  height: 30px; 
  width: 30px; 
  object-fit: contain
}
/* PhCTreeAO, PhCTreeCheckBoxAO */
.vbo-style-tree-ao{
  background-color:transparent; 
  width:5px;
}
/* PhTreeD */
.vbo-style-three-d-div{
  width:100%; 
  text-align: right
}
.vbo-style-three-d-btn{
  position: fixed; 
  right:10px; 
  top: 0px; 
  z-index: 5
}
.vbo-style-three-d-input{
  width: 1px; 
  height: 1px
}
.vbo-style-three-d-div2{
  position: fixed; 
  width: 100%; 
  height: calc(100vh - 64px); 
  top: 64px; 
  left: 0px; 
  z-index: 1
}
/* VoiceRecorder */
.vbo-style-voice-recorder{
  width:100%;
  height:100%;
}
/* Ph_T_TableCellC */
.vbo-style-table-cell-contact1{
  padding-left: 48px;
}
.vbo-style-table-cell-contact2{
  position: absolute; 
  left:18px; 
  top: 17px
}
.vbo-style-table-cell-edit{
  overflow: visible;
}
/* Ph_T_TableColumnHeaderC */
.vbo-style-table-column-header-th{
  white-space: nowrap; 
  overflow: hidden;
}
.vbo-style-table-column-header-sort{
  vertical-align: bottom; 
  margin-bottom:4px; 
  font-size: 18px;
}
/* Ph_T_TableFixCol */
.vbo-style-table-fix-col-box{
  overflow: hidden; 
}
.vbo-style-table-fix-col-table{ 
  border-collapse: collapse; 
  border-spacing: 0px; 
  padding: 0; 
  border: 0px; 
  table-layout: fixed;
}
.vbo-style-table-fix-col-table2{
  white-space:normal; 
  border-collapse: collapse; 
  padding:0px; 
  position: relative; 
  table-layout:fixed; 
}
.vbo-style-table-fix-col-table3{
  border-collapse: collapse; 
  table-layout: fixed;
}
.vbo-style-table-fix-col-tbody{
  border-width:0px; 
  padding:0px;
}
.vbo-style-table-fix-col-td{
  overflow: hidden;
  border-width: 0px;
}
.vbo-style-table-fix-col-td2{
  white-space:nowrap;
  padding-bottom: 0px;
}
.vbo-style-table-fix-col-td3{
  width: 17px;
}
.vbo-style-table-fix-col-td4{
  overflow: hidden; 
  border-width: 0px; 
  vertical-align: top;
}
.vbo-style-table-fix-col-td5{
  overflow: hidden;  
  vertical-align: top
}
.vbo-style-table-fix-col-tr{
  overflow:hidden; 
  padding:0px; 
  border-width: 0px; 
  border-spacing: 0px;
}
.vbo-style-table-fix-col-div{
  position: relative; 
  overflow: visible; 
  top: 0px; 
  left: 0px; 
  border-width: 0px;
}
.vbo-style-table-fix-col-div2{
  position: relative; 
  overflow-y:auto; 
  overflow-x: auto; 
  top: 0px; 
  left: 0px;
}
.vbo-style-table-fix-col-input{
  background-color: transparent; 
  width: 1px; 
  height: 1px;
}
/* Ph_T_TreeTable */
.vbo-style-tree-table{
  border-collapse: collapse; 
  table-layout: fixed;
}
.vbo-style-tree-table2{
  white-space:normal; 
  border-collapse: collapse; 
  padding:0px; 
  position: relative; 
  table-layout:fixed; 
}
.vbo-style-tree-tbody{
  border-width:0px;
  padding:0px;
}
.vbo-style-tree-tr{
  overflow:hidden; 
  padding:0px; 
  border-width: 0px; 
  border-spacing: 0px;
}
.vbo-style-tree-th{
  white-space:nowrap;
  padding-left:10px;
  text-align:left;
}
.vbo-style-tree-div{
  white-space:normal; 
  overflow-y:scroll; 
  overflow-x: auto;
}
.vbo-style-tree-input{
  background-color: transparent; 
  width: 1px; 
  height: 1px;
}
/* PhCbreadCrumb */
.vbo-style-breadcrumb-btn{
  background: none!important; 
  border: none; 
  padding: 0!important; 
  font-family: arial, sans-serif; 
  color: #069; 
  text-decoration: underline; 
  cursor: pointer;
}
.vbo-style-breadcrumb-i{
  vertical-align: bottom; 
  font-size: 18px !important;
}
/* PhCFieldDateC */
.vbo-style-field-date{
  right:0px;
}
/* PhCFieldFile */
.vbo-style-field-file-div1{
  padding-top: 3px;
}
.vbo-style-field-file-div2{
  display:flex;
}
.vbo-style-field-file-div3{
  padding:7px 0px 0px 0px;
}
.vbo-style-field-file-div4{
  margin-top:2px; 
}
.vbo-style-field-file-div5{
  padding:0px; 
  flex-grow:1; 
  padding-top:7px;
}
.vbo-style-field-file-div6{
  border-right:0px; 
  border-left:0px;
}
.vbo-style-field-file-div7{
  text-align:left; 
  padding-left:3px;
}
.vbo-style-field-file-div8{
  width:0%; 
  opacity:0;
}
.vbo-style-field-file-span{
  margin-right:0px;
}
.vbo-style-field-file-span2{
  border-left:0px;
}
/* einheitliche styles in mehreren Templates */
.vbo-style-overflow-hidden{
  overflow: hidden;
}
.vbo-style-visible-hidden{
  visibility: hidden;
}
.vbo-style-visible{
  visibility: visible;
}
.vbo-style-hidden {
	display: none;
}
.vbo-style-width-full{
  width: 100%;
}









































